# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jul  7 16:05:20 2023
# ------------------------------------------------

package:
  name: dav1d
  version: 1.2.1
source:
  sha256: 2dd85860d213479672b1c708e31593446e8c2b53ff41e2ca25a2eafb718424e2
  url: https://code.videolan.org/videolan/dav1d/-/archive/1.2.1/dav1d-1.2.1.tar.gz
build:
  number: '0'
  run_exports:
    - dav1d >=1.2.1,<1.2.2.0a0
  string: h5eee18b_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.05.30 h06a4308_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - meson 1.1.1 py311h06a4308_0
    - nasm 2.14.02 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - ninja 1.10.2 h06a4308_5
    - ninja-base 1.10.2 hd09550d_5
    - openssl 3.0.9 h7f8727e_0
    - pip 23.1.2 py311h06a4308_0
    - python 3.11.4 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 67.8.0 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py311h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
  run:
    - libgcc-ng >=11.2.0
test:
  commands:
    - dav1d -v
    - test -f ${PREFIX}/lib/libdav1d.so
    - test -f ${PREFIX}/lib/libdav1d.so.6
    - test -f ${PREFIX}/lib/libdav1d.so.6.9.0
    - test -f ${PREFIX}/include/dav1d/dav1d.h
    - test -f ${PREFIX}/lib/pkgconfig/dav1d.pc
about:
  description: 'dav1d is an AV1 cross-platform decoder, open-source, and focused on
    speed and correctness.

    It is now battle-tested and production-ready and can be used everywhere.

    '
  dev_url: https://code.videolan.org/videolan/dav1d
  doc_url: https://videolan.videolan.me/dav1d
  home: https://code.videolan.org/videolan/dav1d
  license: BSD-2-Clause
  license_family: BSD
  license_file: COPYING
  summary: dav1d is the fastest AV1 decoder on all platforms
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 3077dad8-e66e-4920-833e-71258986f15b
  recipe-maintainers:
    - jaimergp
  remote_url: git@github.com:AnacondaRecipes/dav1d-feedstock.git
  sha: b966a3b5d56df9672db86a7589d522bff07cf37e
